uxQueueMessagesWaiting

queue. h

    UBaseType_t uxQueueMessagesWaiting( const QueueHandle_t xQueue );

Return the number of messages stored in a queue.

Parameters

  xQueue | A handle to the queue being queried.

Returns
  The number of messages available in the queue.

queue. h

    UBaseType_t uxQueueSpacesAvailable( const QueueHandle_t xQueue );

Return the number of free spaces available in a queue. This is equal to the number of items that can be sent to the queue before the queue becomes full if no items are removed.

Parameters

  xQueue | A handle to the queue being queried.

Returns
  The number of spaces available in the queue.